from PC_Generator import PC_Generator
import os
import ipdb
if __name__ == '__main__':

	dataset_path = "/home/jmji/DexterousHandEnvs/assets/urdf/objects/"
	# get all urdf path
	# files= os.listdir(dataset_path)
	n_points = 10000
	# for item in files:
	URDF_path = dataset_path+'ball.urdf'
	all_save_path = dataset_path+"ball/"
	generator = PC_Generator(URDF_path=URDF_path, save_path=all_save_path, n_points=n_points)
	# generate part PC
	# generator.demo(False, if_part=True)
	# generate all PC
	# link_name = item[6:]
	generator.demo(False, if_part=False, link_name="mug")
		



